import { MitosisConfig, Target } from '@builder.io/mitosis';
/**
 * Remove `.lite` or `.svelte` extensions from imports without having to load a slow parser like babel
 * E.g.
 *
 * convert `import { foo } from './block.lite';` -> `import { foo } from './block';`
 *
 * convert `import { foo } from './block.svelte';` -> `import { foo } from './block';`
 */
export declare const transformImports: ({ target, options }: {
    target: Target;
    options: MitosisConfig;
}) => (code: string) => string;
/**
 * Runs `esbuild` on a file, and performs some additional transformations.
 */
export declare const transpile: ({ path, content, target, options, }: {
    path: string;
    content: string;
    target: Target;
    options: MitosisConfig;
}) => Promise<string>;
export declare const transpileIfNecessary: ({ content, options, path, target, }: {
    path: string;
    content: string;
    target: Target;
    options: MitosisConfig;
}) => Promise<string>;
